# Class LockWalletRequest

#### Hierarchy

- unknown
  - LockWalletRequest

- Defined in src/protobuf/grpc_pb.d.ts:3518
- Defined in src/protobuf/grpc_pb.d.ts:3527

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new LockWalletRequest(): LockWalletRequest

- #### Returns LockWalletRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3519

### toObject

- toObject(includeInstance?: boolean): LockWalletRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns LockWalletRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3520

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): LockWalletRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns LockWalletRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3523

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: LockWalletRequest, reader: BinaryReader): LockWalletRequest

- #### Parameters

  - ##### message: LockWalletRequest

  - ##### reader: BinaryReader

  #### Returns LockWalletRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3524

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: LockWalletRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: LockWalletRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3522

### `Static` toObject

- toObject(includeInstance: boolean, msg: LockWalletRequest): LockWalletRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: LockWalletRequest

  #### Returns LockWalletRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3521

Generated using TypeDoc